Skip to main content
PUT
Make a port public or private

Authorizations

X-API-Key
string
header
required

An Anona Compute API key (ac_ followed by lowercase hex; older keys start with e2b_).

Path Parameters

sandboxID
string
required
port
integer
required
Required range: 1 <= x <= 65535

Body

application/json
public
boolean
required

Response

The sandbox's access settings.

sandboxID
string
required
allowPublicTraffic
boolean
required
publicPorts
integer[] | null
required
idlePauseMinutes
integer
required

0: off